Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job.entries.movefiles
Class JobEntryMoveFiles

    java.lang.Object
      org.pentaho.di.job.entry.JobEntryBase
          org.pentaho.di.job.entries.movefiles.JobEntryMoveFiles

All Implemented Interfaces:
  Cloneable, org.pentaho.di.core.CheckResultSourceInterface, org.pentaho.di.core.variables.VariableSpace, JobEntryInterface, ResourceHolderInterface

    public class JobEntryMoveFiles

extends JobEntryBase
implements Cloneable, JobEntryInterface

This defines a 'move files' job entry.

Since:
  25-02-2008
Author:
  Samatar Hassan

Field Summary
`boolean` | `add_result_filesname`
`boolean` | `arg_from_previous`
`boolean` | `create_destination_folder`
`boolean` | `create_move_to_folder`
`String[]` | `destination_filefolder`
`boolean` | `destination_is_a_file`
`boolean` | `include_subfolders`
`boolean` | `move_empty_folders`
`boolean` | `simulate`
`String[]` | `source_filefolder`
`String` | `SUCCESS_IF_AT_LEAST_X_FILES_UN_ZIPPED`
`String` | `SUCCESS_IF_ERRORS_LESS`
`String` | `SUCCESS_IF_NO_ERRORS`
`String[]` | `wildcard`

Fields inherited from class org.pentaho.di.job.entry.JobEntryBase
`category_order`

Constructor Summary
`JobEntryMoveFiles()`
`JobEntryMoveFiles(JobEntryBase jeb)`
`JobEntryMoveFiles(String n)`

Method Summary
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, JobMeta jobMeta)` Support for overrides not having to put in a check method
`Object` | `clone()`
`boolean` | `evaluates()` check whether or not this job entry evaluates.
`org.pentaho.di.core.Result` | `execute(org.pentaho.di.core.Result previousResult, int nr, Repository rep, Job parentJob)`
`String` | `getDateTimeFormat()`
`String` | `getDestinationFolder()`
`String` | `getIfFileExists()`
`String` | `getIfMovedFileExists()`
`String` | `getMovedDateTimeFormat()`
`String` | `getNrErrorsLessThan()`
`String` | `getSuccessCondition()`
`String` | `getXML()`
`boolean` | `isAddDate()`
`boolean` | `isAddDateBeforeExtension()`
`boolean` | `isAddMovedDate()`
`boolean` | `isAddMovedDateBeforeExtension()`
`boolean` | `isAddMovedTime()`
`boolean` | `isAddTime()`
`boolean` | `isDoNotKeepFolderStructure()`
`boolean` | `isSpecifyFormat()`
`boolean` | `isSpecifyMoveFormat()`
`void` | `loadRep(Repository rep, long id_jobentry, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers)`
`void` | `loadXML(Node entrynode, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers, Repository rep)`
`void` | `saveRep(Repository rep, long id_job)`
`void` | `setAddDate(boolean adddate)`
`void` | `setAddDateBeforeExtension(boolean AddDateBeforeExtension)`
`void` | `setAddMovedDate(boolean add_moved_date)`
`void` | `setAddMovedDateBeforeExtension(boolean AddMovedDateBeforeExtension)`
`void` | `setAddMovedTime(boolean add_moved_time)`
`void` | `setAddresultfilesname(boolean add_result_filesnamein)`
`void` | `setAddTime(boolean addtime)`
`void` | `setArgFromPrevious(boolean argfrompreviousin)`
`void` | `setCreateDestinationFolder(boolean create_destination_folder)`
`void` | `setCreateMoveToFolder(boolean create_move_to_folder)`
`void` | `setDateTimeFormat(String date_time_format)`
`void` | `setDestinationFolder(String destinationFolder)`
`void` | `setDestinationIsAFile(boolean destination_is_a_file)`
`void` | `setDoNotKeepFolderStructure(boolean DoNotKeepFolderStructure)`
`void` | `setIfFileExists(String iffileexists)`
`void` | `setIfMovedFileExists(String ifmovedfileexists)`
`void` | `setIncludeSubfolders(boolean include_subfoldersin)`
`void` | `setMovedDateTimeFormat(String moved_date_time_format)`
`void` | `setMoveEmptyFolders(boolean move_empty_foldersin)`
`void` | `setNrErrorsLessThan(String nr_errors_less_than)`
`void` | `setSimulate(boolean simulate)`
`void` | `setSpecifyFormat(boolean SpecifyFormat)`
`void` | `setSpecifyMoveFormat(boolean SpecifyMoveFormat)`
`void` | `setSuccessCondition(String success_condition)`

Methods inherited from class org.pentaho.di.job.entry.JobEntryBase
`clear, copyVariablesFrom, environmentSubstitute, environmentSubstitute, exportResources, getBooleanValueOfVariable, getConfigId, getDescription, getDialogClassName, getFilename, getHolderType, getID, getJobEntryType, getName, getParentVariableSpace, getPluginID, getRealFilename, getResourceDependencies, getSQLStatements, getSQLStatements, getTypeCode, getTypeCode, getTypeDesc, getTypeDesc, getTypeId, getUsedDatabaseConnections, getVariable, getVariable, hasChanged, initializeVariablesFrom, injectVariables, isDummy, isEvaluation, isFTP, isHTTP, isJob, isMail, isSFTP, isShell, isSpecial, isStart, isTransformation, isUnconditional, listVariables, loadXML, parseRepositoryObjects, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setParentVariableSpace, setPluginID, setVariable, shareVariablesWith, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pentaho.di.job.entry.JobEntryInterface
`clear, exportResources, getConfigId, getDescription, getDialogClassName, getFilename, getID, getJobEntryType, getName, getPluginID, getRealFilename, getResourceDependencies, getSQLStatements, getSQLStatements, getTypeCode, getUsedDatabaseConnections, hasChanged, isDummy, isEvaluation, isJob, isMail, isShell, isSpecial, isStart, isTransformation, isUnconditional, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setPluginID`

Field Detail

### move_empty_folders

    public boolean move_empty_folders

### arg_from_previous

    public boolean arg_from_previous

### include_subfolders

    public boolean include_subfolders

### add_result_filesname

    public boolean add_result_filesname

### destination_is_a_file

    public boolean destination_is_a_file

### create_destination_folder

    public boolean create_destination_folder

### source_filefolder

    public String[] source_filefolder

### destination_filefolder

    public String[] destination_filefolder

### wildcard

    public String[] wildcard

### SUCCESS_IF_AT_LEAST_X_FILES_UN_ZIPPED

    public String SUCCESS_IF_AT_LEAST_X_FILES_UN_ZIPPED

### SUCCESS_IF_ERRORS_LESS

    public String SUCCESS_IF_ERRORS_LESS

### SUCCESS_IF_NO_ERRORS

    public String SUCCESS_IF_NO_ERRORS

### create_move_to_folder

    public boolean create_move_to_folder

### simulate

    public boolean simulate

Constructor Detail

### JobEntryMoveFiles

    public JobEntryMoveFiles(String n)

### JobEntryMoveFiles

    public JobEntryMoveFiles()

### JobEntryMoveFiles

    public JobEntryMoveFiles(JobEntryBase jeb)

Method Detail

### clone

    public Object clone()

  Specified by:
    `clone` in interface `JobEntryInterface`
  Overrides:
    `clone` in class `JobEntryBase`

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `JobEntryInterface`
  Overrides:
    `getXML` in class `JobEntryBase`

### loadXML

    public void loadXML(Node entrynode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers,
                        Repository rep)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Specified by:
    `loadXML` in interface `JobEntryInterface`
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### loadRep

    public void loadRep(Repository rep,
                        long id_jobentry,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `loadRep` in interface `JobEntryInterface`
  Overrides:
    `loadRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveRep

    public void saveRep(Repository rep,
                        long id_job)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `saveRep` in interface `JobEntryInterface`
  Overrides:
    `saveRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### execute

    public org.pentaho.di.core.Result execute(org.pentaho.di.core.Result previousResult,
                                              int nr,
                                              Repository rep,
                                              Job parentJob)
                                       throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `execute` in interface `JobEntryInterface`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### setAddDate

    public void setAddDate(boolean adddate)

### isAddDate

    public boolean isAddDate()

### isAddMovedDate

    public boolean isAddMovedDate()

### setAddMovedDate

    public void setAddMovedDate(boolean add_moved_date)

### isAddMovedTime

    public boolean isAddMovedTime()

### setAddMovedTime

    public void setAddMovedTime(boolean add_moved_time)

### setIfFileExists

    public void setIfFileExists(String iffileexists)

### getIfFileExists

    public String getIfFileExists()

### setIfMovedFileExists

    public void setIfMovedFileExists(String ifmovedfileexists)

### getIfMovedFileExists

    public String getIfMovedFileExists()

### setAddTime

    public void setAddTime(boolean addtime)

### isAddTime

    public boolean isAddTime()

### setAddDateBeforeExtension

    public void setAddDateBeforeExtension(boolean AddDateBeforeExtension)

### setAddMovedDateBeforeExtension

    public void setAddMovedDateBeforeExtension(boolean AddMovedDateBeforeExtension)

### isSpecifyFormat

    public boolean isSpecifyFormat()

### setSpecifyFormat

    public void setSpecifyFormat(boolean SpecifyFormat)

### setSpecifyMoveFormat

    public void setSpecifyMoveFormat(boolean SpecifyMoveFormat)

### isSpecifyMoveFormat

    public boolean isSpecifyMoveFormat()

### getDateTimeFormat

    public String getDateTimeFormat()

### setDateTimeFormat

    public void setDateTimeFormat(String date_time_format)

### getMovedDateTimeFormat

    public String getMovedDateTimeFormat()

### setMovedDateTimeFormat

    public void setMovedDateTimeFormat(String moved_date_time_format)

### isAddDateBeforeExtension

    public boolean isAddDateBeforeExtension()

### isAddMovedDateBeforeExtension

    public boolean isAddMovedDateBeforeExtension()

### isDoNotKeepFolderStructure

    public boolean isDoNotKeepFolderStructure()

### setDestinationFolder

    public void setDestinationFolder(String destinationFolder)

### getDestinationFolder

    public String getDestinationFolder()

### setDoNotKeepFolderStructure

    public void setDoNotKeepFolderStructure(boolean DoNotKeepFolderStructure)

### setMoveEmptyFolders

    public void setMoveEmptyFolders(boolean move_empty_foldersin)

### setIncludeSubfolders

    public void setIncludeSubfolders(boolean include_subfoldersin)

### setAddresultfilesname

    public void setAddresultfilesname(boolean add_result_filesnamein)

### setArgFromPrevious

    public void setArgFromPrevious(boolean argfrompreviousin)

### setDestinationIsAFile

    public void setDestinationIsAFile(boolean destination_is_a_file)

### setCreateDestinationFolder

    public void setCreateDestinationFolder(boolean create_destination_folder)

### setCreateMoveToFolder

    public void setCreateMoveToFolder(boolean create_move_to_folder)

### setNrErrorsLessThan

    public void setNrErrorsLessThan(String nr_errors_less_than)

### getNrErrorsLessThan

    public String getNrErrorsLessThan()

### setSimulate

    public void setSimulate(boolean simulate)

### setSuccessCondition

    public void setSuccessCondition(String success_condition)

### getSuccessCondition

    public String getSuccessCondition()

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      JobMeta jobMeta)

  Description copied from class: `JobEntryBase`
  Support for overrides not having to put in a check method

  Specified by:
    `check` in interface `JobEntryInterface`
  Overrides:
    `check` in class `JobEntryBase`
  Parameters:
    `remarks` - CheckResults from checking the job entry
    `jobMeta` - JobMeta information letting threading back to the JobMeta possible

### evaluates

    public boolean evaluates()

  Description copied from class: `JobEntryBase`
  check whether or not this job entry evaluates.

  Specified by:
    `evaluates` in interface `JobEntryInterface`
  Overrides:
    `evaluates` in class `JobEntryBase`
  Returns:
    true if the job entry evaluates

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD